<!--<p>body works!</p>-->
<div>
  <div class="izquierda">
    <div>
    <h1>*ngIf</h1>
    <hr>
    <div *ngIf ="mostrar" class = "card">
      <div class="container">
        <h4>
          <b>{{frase.autor}}</b>
        </h4> 
        <p>{{frase.mensaje}}</p>
      </div>
    </div>

    <div class="btn">
      <button class="boton" type = "button" (click) = "mostrar = !mostrar">Mostrar/ocultar</button>
    </div>
    </div>

    <div>
    <h1>ngSwitch</h1>
    <hr>

    <span [ngSwitch] = "valorNumerico">
    <span *ngSwitchCase ="1">El valor es 1</span>
    <span *ngSwitchCase ="2">El valor es 2</span>
    <span *ngSwitchCase ="3">El valor es 3</span>
    <span *ngSwitchDefault>Numero fuera de rango</span>

    </span>

    </div>
  </div>




  <div class="derecha">
    <h1>*ngFor</h1>
    <hr>

    <div>
      <ul class="list-group">
        <li *ngFor = "let persona of personas; let i = index"> {{i}} {{persona}}</li>
      </ul>
    </div>
  </div>
</div>